Class List Method List File List

# Class: OSX::NSMutableData

Inherits:
  Object
  - Object
  - OSX::NSMutableData
  show all
Defined in:
  src/ruby/osx/objc/cocoa_macros.rb

## Overview

NSMutableData additions.

## Class Method Summary (collapse)

- + (OSX::NSMutableData) dataWithRubyString(str) deprecated Deprecated.

  DO NOT USE. use NSString#dataUsingEncoding().

## Class Method Details

### + (`OSX::NSMutableData`) dataWithRubyString(str)

Deprecated.

DO NOT USE. use NSString#dataUsingEncoding().

Returns:

- (`OSX::NSMutableData`)

    49
    50
    51
    52
    # File 'src/ruby/osx/objc/cocoa_macros.rb', line 49

    def NSMutableData.dataWithRubyString (str)
      warn "#{caller[0]}:: NSMutableData.dataWithRubyString will be deprecated."
      NSMutableData.dataWithBytes_length( str )
    end